Debian Bug report logs - #576102
virt-viewer: fails to make a connection with qemu+tls

Package: gtk-vnc; Maintainer for gtk-vnc is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>;

Reported by: Gerasimos Melissaratos <gmelis@eexi.gr>

Date: Wed, 31 Mar 2010 22:03:01 UTC

Severity: important

Tags: sid, squeeze, wheezy

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#576102; Package virt-viewer. (Wed, 31 Mar 2010 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerasimos Melissaratos <gmelis@eexi.gr>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 31 Mar 2010 22:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerasimos Melissaratos <gmelis@eexi.gr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virt-viewer: fails to make a connection with qemu+tls
Date: Thu, 01 Apr 2010 00:52:06 +0300
Package: virt-viewer
Version: 0.2.1-1
Severity: important
Tags: sid squeeze

Simple as described. The process when run with the '--debug -v' options
returns:  ** (virt-viewer:28886): DEBUG: Add handle 5 1 0x255d200  ** (virt-
viewer:28886): DEBUG: Add timeout 0x2581cf0 -1 0x7fd42cb30ab0 0x255d200 1  **
(virt-viewer:28886): DEBUG: Skipping inactive resize ** (virt-viewer:28886):
DEBUG: Remote host is sucker.mfa.gr and transport tls user ** (virt-
viewer:28886): DEBUG: Got VNC credential request for 1 credential(s) ** (virt-
viewer:28886): DEBUG: Failed to set credential type 2  and closes the
application. Take into account that it used to work, it stopped after
upgrading. Problem is, I'm not sure whether this is due to libgtk-vnc, (which I
think is the culprit) or just virt-viewer.   When I run the command through
strace, I got (last lines, where I think the problem shows):  gmelis@host:~$
strace virt-viewer -v --debug -c qemu+tls://hostname/system slack  write(1, "**
(virt-viewer:4703): DEBUG: Go"..., 77** (virt-viewer:4703): DEBUG: Got VNC
credential request for 1 credential(s) ) = 77 getuid()
= 1000 open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 10 lseek(10, 0, SEEK_CUR)
= 0 fstat(10, {st_mode=S_IFREG|0644, st_size=2501, ...}) = 0 mmap(NULL, 2501,
PROT_READ, MAP_SHARED, 10, 0) = 0x7fbf71ec7000 lseek(10, 2501, SEEK_SET)
= 2501 munmap(0x7fbf71ec7000, 2501)            = 0 close(10)
= 0 stat("(null)/CA/cacert.pem", 0x7fffe54c5c70) = -1 ENOENT (No such file or
directory) stat("(null)/CA/cacert.pem", 0x7fffe54c5c70) = -1 ENOENT (No such
file or directory) write(1, "** (virt-viewer:4703): DEBUG: Fa"..., 62** (virt-
viewer:4703): DEBUG: Failed to set credential type 2 ) = 62 close(9)
= 0 rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0 rt_sigprocmask(SIG_SETMASK, [],
[], 8)  = 0 open("/usr/share/locale/en_US/LC_MESSAGES/libgnutls.mo", O_RDONLY)
= -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libgnutls.mo", O_RDONLY) = -1 ENOENT (No
such file or directory) sendto(-1, "\25\3\2\0\2\1\0", 7, 0, NULL, 0) = -1 EBADF
(Bad file descriptor) rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], [], 8)  = 0 read(3, 0x249a764, 4096)
= -1 EAGAIN (Resource temporarily unavailable) poll([{fd=3, events=POLLIN},
{fd=5, events=POLLIN}], 2, 0) = 0 (Timeout) rt_sigprocmask(SIG_BLOCK, NULL, [],
8)  = 0 rt_sigprocmask(SIG_SETMASK, [], [], 8)  = 0 rt_sigprocmask(SIG_SETMASK,
[], NULL, 8) = 0 poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3,
revents=POLLOUT}]) writev(3,
[{"\22\0\v\0\3\0\0\4/\1\0\0X\1\0\0\10\4\5\0\24\0\0\0(null) -"..., 180}, {NULL,
0}, {"", 0}], 3) = 180 poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3,
revents=POLLIN}]) read(3,
"\34\0&\1\3\0\0\4/\1\0\0\0[\2725\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096) =
160 read(3, 0x249a764, 4096)                = -1 EAGAIN (Resource temporarily
unavailable) poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3,
revents=POLLOUT}]) writev(3, [{"+\0\1\0", 4}, {NULL, 0}, {"", 0}], 3) = 4
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}]) read(3,
"\1\2+\1\0\0\0\0\4\0\0\4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096) = 32
read(3, 0x249a764, 4096)                = -1 EAGAIN (Resource temporarily
unavailable) close(11)                               = 0 exit_group(0)
= ?   It looks like it fails to find cacert.pem.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=el_GR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages virt-viewer depends on:
ii  libc6                       2.10.2-6     Embedded GNU C Library: Shared lib
ii  libglade2-0                 1:2.6.4-1    library to load .glade files at ru
ii  libglib2.0-0                2.22.4-1     The GLib library of C routines
ii  libgtk-vnc-1.0-0            0.3.10-5     A VNC viewer widget for GTK+ (runt
ii  libgtk2.0-0                 2.18.9-2     The GTK+ graphical user interface 
ii  libvirt0                    0.7.7-4      library for interfacing with diffe
ii  libxml2                     2.7.7.dfsg-1 GNOME XML library

virt-viewer recommends no packages.

Versions of packages virt-viewer suggests:
ii  netcat                        1.10-38    TCP/IP swiss army knife -- transit
ii  netcat-openbsd [netcat]       1.89-3     TCP/IP swiss army knife
ii  netcat-traditional [netcat]   1.10-38    TCP/IP swiss army knife

-- no debconf information

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#576102; Package virt-viewer. (Wed, 31 Mar 2010 22:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to MELISSARATOS Gerasimos <gmelis@mfa.gr>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Wed, 31 Mar 2010 22:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 576102@bugs.debian.org (full text, mbox):

From: MELISSARATOS Gerasimos <gmelis@mfa.gr>
To: 576102@bugs.debian.org
Subject: Bug re-submission because of message body unreadability
Date: Thu, 1 Apr 2010 01:34:47 +0300 (EEST)
Simple as described. The process when run with the '--debug -v' options returns:

** (virt-viewer:28886): DEBUG: Add handle 5 1 0x255d200

** (virt-viewer:28886): DEBUG: Add timeout 0x2581cf0 -1 0x7fd42cb30ab0 0x255d200 1

** (virt-viewer:28886): DEBUG: Skipping inactive resize
** (virt-viewer:28886): DEBUG: Remote host is sucker.mfa.gr and transport tls user
** (virt-viewer:28886): DEBUG: Got VNC credential request for 1 credential(s)
** (virt-viewer:28886): DEBUG: Failed to set credential type 2

and closes the application. Take into account that it used to work, it stopped after upgrading. Problem is, I'm not sure whether this is due to libgtk-vnc, (which I think is the culprit) or just virt-viewer. 

When I run the command through strace, I got (last lines, where I think the problem shows):

gmelis@host:~$ strace virt-viewer -v --debug -c qemu+tls://hostname/system slack

write(1, "** (virt-viewer:4703): DEBUG: Go"..., 77** (virt-viewer:4703): DEBUG: Got VNC credential request for 1 credential(s)) = 77
getuid()                                = 1000
open("/etc/passwd", O_RDONLY|O_CLOEXEC) = 10
lseek(10, 0, SEEK_CUR)                  = 0
fstat(10, {st_mode=S_IFREG|0644, st_size=2501, ...}) = 0
mmap(NULL, 2501, PROT_READ, MAP_SHARED, 10, 0) = 0x7fbf71ec7000
lseek(10, 2501, SEEK_SET)               = 2501
munmap(0x7fbf71ec7000, 2501)            = 0
close(10)                               = 0
stat("(null)/CA/cacert.pem", 0x7fffe54c5c70) = -1 ENOENT (No such file or directory)
stat("(null)/CA/cacert.pem", 0x7fffe54c5c70) = -1 ENOENT (No such file or directory)
write(1, "** (virt-viewer:4703): DEBUG: Fa"..., 62** (virt-viewer:4703): DEBUG: Failed to set credential type 2) = 62
close(9)                                = 0
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], [], 8)  = 0
open("/usr/share/locale/en_US/LC_MESSAGES/libgnutls.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libgnutls.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
sendto(-1, "\25\3\2\0\2\1\0", 7, 0, NULL, 0) = -1 EBADF (Bad file descriptor)
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], [], 8)  = 0
read(3, 0x249a764, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=5, events=POLLIN}], 2, 0) = 0 (Timeout)
rt_sigprocmask(SIG_BLOCK, NULL, [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], [], 8)  = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\22\0\v\0\3\0\0\4/\1\0\0X\1\0\0\10\4\5\0\24\0\0\0(null) -"..., 180}, {NULL, 0}, {"", 0}], 3) = 180
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\34\0&\1\3\0\0\4/\1\0\0\0[\2725\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 4096) = 160
read(3, 0x249a764, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"+\0\1\0", 4}, {NULL, 0}, {"", 0}], 3) = 4
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\2+\1\0\0\0\0\4\0\0\4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0", 4096) = 32
read(3, 0x249a764, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
close(11)                               = 0
exit_group(0)                           = ?


It looks like it fails to find cacert.pem. 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#576102; Package virt-viewer. (Sun, 04 Apr 2010 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sun, 04 Apr 2010 13:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 576102@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: MELISSARATOS Gerasimos <gmelis@mfa.gr>, 576102@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#576102: Bug re-submission because of message body unreadability
Date: Sun, 4 Apr 2010 14:54:23 +0200
On Thu, Apr 01, 2010 at 01:34:47AM +0300, MELISSARATOS Gerasimos wrote:
> It looks like it fails to find cacert.pem. 
Fixed in unstable now. I'd be great if you could check out the migration
problem now ;)
Cheers,
 -- Guido




Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Sun, 04 Apr 2010 13:51:12 GMT) Full text and rfc822 format available.

Notification sent to Gerasimos Melissaratos <gmelis@eexi.gr>:
Bug acknowledged by developer. (Sun, 04 Apr 2010 13:51:12 GMT) Full text and rfc822 format available.

Message #20 received at 576102-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 576102-close@bugs.debian.org
Subject: Bug#576102: fixed in gtk-vnc 0.3.10-6
Date: Sun, 04 Apr 2010 13:48:58 +0000
Source: gtk-vnc
Source-Version: 0.3.10-6

We believe that the bug you reported is fixed in the latest version of
gtk-vnc, which is due to be installed in the Debian FTP archive:

gtk-vnc_0.3.10-6.diff.gz
  to main/g/gtk-vnc/gtk-vnc_0.3.10-6.diff.gz
gtk-vnc_0.3.10-6.dsc
  to main/g/gtk-vnc/gtk-vnc_0.3.10-6.dsc
gvncviewer_0.3.10-6_i386.deb
  to main/g/gtk-vnc/gvncviewer_0.3.10-6_i386.deb
libgtk-vnc-1.0-0-dbg_0.3.10-6_i386.deb
  to main/g/gtk-vnc/libgtk-vnc-1.0-0-dbg_0.3.10-6_i386.deb
libgtk-vnc-1.0-0_0.3.10-6_i386.deb
  to main/g/gtk-vnc/libgtk-vnc-1.0-0_0.3.10-6_i386.deb
libgtk-vnc-1.0-dev_0.3.10-6_i386.deb
  to main/g/gtk-vnc/libgtk-vnc-1.0-dev_0.3.10-6_i386.deb
mozilla-gtk-vnc_0.3.10-6_i386.deb
  to main/g/gtk-vnc/mozilla-gtk-vnc_0.3.10-6_i386.deb
python-gtk-vnc_0.3.10-6_i386.deb
  to main/g/gtk-vnc/python-gtk-vnc_0.3.10-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated gtk-vnc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Apr 2010 14:47:02 +0200
Source: gtk-vnc
Binary: libgtk-vnc-1.0-0 libgtk-vnc-1.0-0-dbg libgtk-vnc-1.0-dev python-gtk-vnc mozilla-gtk-vnc gvncviewer
Architecture: source i386
Version: 0.3.10-6
Distribution: unstable
Urgency: low
Maintainer: Guido Günther <agx@sigxcpu.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 gvncviewer - VNC viewer using gtk-vnc
 libgtk-vnc-1.0-0 - A VNC viewer widget for GTK+ (runtime libraries)
 libgtk-vnc-1.0-0-dbg - A VNC viewer widget for GTK+ (runtime libraries)
 libgtk-vnc-1.0-dev - A VNC viewer widget for GTK+ (development files)
 mozilla-gtk-vnc - A VNC viewer widget for GTK+ (mozilla plugin)
 python-gtk-vnc - A VNC viewer widget for GTK+ (Python binding)
Closes: 576102
Changes: 
 gtk-vnc (0.3.10-6) unstable; urgency=low
 .
   * [405bfa7] New patch 0009-Fix-missing-intialisation-of-sysdir-and-
     uderdir.patch Fix missing intialisation of sysdir and uderdir
     (Closes: #576102)
Checksums-Sha1: 
 69745f52c22db7f17ab262d05fe704da62c7c6ab 1429 gtk-vnc_0.3.10-6.dsc
 4abafd84475d9858bd91c49be8c733eab6ececc9 12098 gtk-vnc_0.3.10-6.diff.gz
 8725217738f82febe2807199087e5bf63f261ff2 81494 libgtk-vnc-1.0-0_0.3.10-6_i386.deb
 3c0cc3072f19287e90fd380756661769bd2b2e2e 140316 libgtk-vnc-1.0-0-dbg_0.3.10-6_i386.deb
 619b7204feddce694d506ffa27a3ee60791e23d5 85620 libgtk-vnc-1.0-dev_0.3.10-6_i386.deb
 09fe989cb186e07e1bbff7c9b6004a62158435cd 30846 python-gtk-vnc_0.3.10-6_i386.deb
 d63b7afae59276afa294902a26392eeb5bb70d8b 32726 mozilla-gtk-vnc_0.3.10-6_i386.deb
 ad199fb691ba0cd397168e22e42949157582d060 32612 gvncviewer_0.3.10-6_i386.deb
Checksums-Sha256: 
 349cd22323cea8eda34bc6fa68b325634ed78f5281fe3d939f9e784017d3a83c 1429 gtk-vnc_0.3.10-6.dsc
 ce45be9c7ac11e7e6b4628b558db2776feb980bb947cc9688a00b92a1d6f9eef 12098 gtk-vnc_0.3.10-6.diff.gz
 da93730b23101f349cdeb13aa89ae47256407b34640ee80b042d63368d20ceb2 81494 libgtk-vnc-1.0-0_0.3.10-6_i386.deb
 3e71f63f7e2a9a06a515477de813f0a2ddbb4035f033403180f33067052d83c5 140316 libgtk-vnc-1.0-0-dbg_0.3.10-6_i386.deb
 b9350e84d671dc143badbb9e6f954e43df70d84672c7766cbd8e1cfbe4e59a32 85620 libgtk-vnc-1.0-dev_0.3.10-6_i386.deb
 8e087c3de827d943ae1b9adb549b7ec696d49d1a607281ed0e22a9b08c22d522 30846 python-gtk-vnc_0.3.10-6_i386.deb
 55bfddae7973e8934fb98113464df853d07917451af173fc2ed3116f947bdfcc 32726 mozilla-gtk-vnc_0.3.10-6_i386.deb
 98cd734907d0da900e9a407eeabaaa449e91b50b91c9de84aabbf1ae79719f71 32612 gvncviewer_0.3.10-6_i386.deb
Files: 
 09502ad96aa2be30c9c46d5304bfbb78 1429 gnome optional gtk-vnc_0.3.10-6.dsc
 412c64f58212dadd5c601520d28e9ddf 12098 gnome optional gtk-vnc_0.3.10-6.diff.gz
 297d2b4bb6cf48630bfc4c1ac40860a7 81494 libs optional libgtk-vnc-1.0-0_0.3.10-6_i386.deb
 5fb6701cc2734d5494295e70b580bf1e 140316 debug extra libgtk-vnc-1.0-0-dbg_0.3.10-6_i386.deb
 2cccf02a77e2be9c1b7233aa91d72251 85620 libdevel optional libgtk-vnc-1.0-dev_0.3.10-6_i386.deb
 2c0911019dba98fd6aa1d1178627a3c8 30846 python optional python-gtk-vnc_0.3.10-6_i386.deb
 915a7aa1097f57a6c55665bb276e0661 32726 web optional mozilla-gtk-vnc_0.3.10-6_i386.deb
 281d15c95c8989acef7c72ff193f050b 32612 x11 optional gvncviewer_0.3.10-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLuIvWn88szT8+ZCYRAvKqAJ0V6w5GBw63lZlLibshXzbL1Jh9qwCeP67R
JeQF8cnGNDFt568SIDUnUls=
=iwu4
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:58 GMT) Full text and rfc822 format available.

Bug reassigned from package 'virt-viewer' to 'gtk-vnc'. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 23 Jul 2011 17:00:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions virt-viewer/0.2.1-1. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 23 Jul 2011 17:00:07 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions gtk-vnc/0.3.10-6. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 23 Jul 2011 17:00:08 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Sat, 23 Jul 2011 17:18:03 GMT) Full text and rfc822 format available.

Notification sent to Gerasimos Melissaratos <gmelis@eexi.gr>:
Bug acknowledged by developer. (Sat, 23 Jul 2011 17:18:03 GMT) Full text and rfc822 format available.

Message #33 received at 576102-done@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 576102-done@bugs.debian.org
Subject: Fixed
Date: Sat, 23 Jul 2011 19:15:23 +0200
Version: gtk-vnc/0.3.10-6

This has been fixed in the above version.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Aug 2011 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:20:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.